Bug 1607158 - Cross compile not working
Summary: Cross compile not working
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2018-07-22 16:56 UTC by Pablo Greco
Modified: 2018-07-26 18:49 UTC (History)
18 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-07-26 18:49:28 UTC


Attachments (Terms of Use)

Description Pablo Greco 2018-07-22 16:56:54 UTC
Description of problem:
After the commit of "Proper support for parallel debuginfo and hardening flags" https://src.fedoraproject.org/cgit/rpms/kernel.git/commit/?id=edd5e6103200b85864a041ae99086bd37afa81d4
Cross compile of the kernel for armhfp doesn't work

How reproducible:
Always

Steps to Reproduce:
1. Download kernel src.rpm
2. Try to cross build rpmbuild -ba --target armv7hl --with=cross --without=perf --without=tools --without=debuginfo --without=pae --define="_arch arm" --define="_build_arch arm" --define="__strip /usr/bin/arm-linux-gnu-strip" --define "%_topdir `pwd`/" --define "dist .f29" SPECS/kernel.spec

Actual results:
Build fails with error
gcc: error: unrecognized argument in option '-mabi=aapcs-linux'

Expected results:
Kernel builds

Additional info:

Comment 1 Laura Abbott 2018-07-23 17:21:07 UTC
Pushed fix to master (technical details in git tree for those interested). This didn't make it into the -rc6 tree but it should be in the next snapshot. I'll leave the bug open for someone else to verify it's fixed.

Comment 2 Laura Abbott 2018-07-26 18:49:28 UTC
Confirmed via IRC that this is fixed


Note You need to log in before you can comment on or make changes to this bug.